%define anolis_release 1
%global expat_version 1.95.5
%global glib2_version 2.40.0
%global dbus_version 1.8

Name:    dbus-glib
Version: 0.112
Release: %{anolis_release}%{?dist}
Summary: GLib bindings for D-Bus

License: AFL and GPLv2+
URL:     https://dbus.freedesktop.org/releases
Source0: %{url}/dbus-glib/%{name}-%{version}.tar.gz
Source1: %{url}/dbus-glib/%{name}-%{version}.tar.gz.asc
# gpg --keyserver keyring.debian.org --recv-keys 36EC5A6448A4F5EF79BEFE98E05AE1478F814C4F
# gpg --export --export-options export-minimal 0x36EC5A6448A4F5EF79BEFE98E05AE1478F814C4F > gpgkey-36EC5A6448A4F5EF79BEFE98E05AE1478F814C4F.gpg
Source2: gpgkey-36EC5A6448A4F5EF79BEFE98E05AE1478F814C4F.gpg

BuildRequires: pkgconfig(dbus-1) >= %{dbus_version}
BuildRequires: pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires: expat-devel >= %{expat_version}
BuildRequires: /usr/bin/chrpath
BuildRequires: dbus-daemon
BuildRequires: gcc
BuildRequires: gettext
BuildRequires: gnupg2
BuildRequires: make

%description

D-Bus add-on library to integrate the standard D-Bus library with
the GLib thread abstraction and main loop.

%package devel
Summary: Libraries and headers for the D-Bus GLib bindings
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel

Headers and static libraries for the D-Bus GLib bindings

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -p1

%build
%configure --enable-tests=yes \
	--enable-asserts=yes \
	--disable-gtk-doc

%make_build

%check
%make_build check


%install
%make_install

rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

chrpath --delete $RPM_BUILD_ROOT%{_bindir}/dbus-binding-tool
chrpath --delete $RPM_BUILD_ROOT%{_libexecdir}/dbus-bash-completion-helper

# Scripts that are sourced should not be executable.
chmod -x $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/dbus-bash-completion.sh

%ldconfig_scriptlets

%files
%doc NEWS
%license COPYING
%{_libdir}/libdbus-glib-1.so.*
%{_bindir}/dbus-binding-tool
%{_mandir}/man1/dbus-binding-tool.1*

%files devel
%{_libdir}/libdbus-glib-1.so
%{_libdir}/pkgconfig/dbus-glib-1.pc
%{_includedir}/dbus-1.0/dbus/*
%{_datadir}/gtk-doc/html/dbus-glib
%{_sysconfdir}/bash_completion.d/dbus-bash-completion.sh
%{_libexecdir}/dbus-bash-completion-helper


%changelog
* Thu Mar 10 2022 Mingyue Zhao <wb-zmy745940@alibaba-inc.com> - 0.112-1
- Init for Anolis OS 23
